import { Hook } from "@/decorators/hook";
import { Events } from "@/hooks";
import { OsuRenderer } from "@/osu/OsuRenderer";
import { p } from "@/utils";

export class OsuControlHooks {

  @Hook(Events.keyPressed)
  static keyPressed() {
    if (p.keyCode == 32) OsuRenderer.setPlaying(!OsuRenderer.playing);
  }

}
